package com.xhkjedu.sapi.mapper.appversion;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sapi.model.appversion.TAppthirdManager;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AppthirdManagerMapper extends TkMapper<TAppthirdManager> {
    //管理列表
    List<TAppthirdManager> listAll(@Param("manager") TAppthirdManager manager);

    //详情
    TAppthirdManager getByPackage(@Param("mpackage") String mpackage, @Param("schoolid") Integer schoolid);

    void save(@Param("manager") TAppthirdManager manager);

    //删除
    void deleteByPackageAndSid(@Param("mpackage") String mpackage, @Param("schoolid") Integer schoolid);
}
